<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.EOD.DomainObjects</name>
    </assembly>
    <members>
        <member name="T:Keysystems.EOD.DomainObjects.ReportTemplateObject">
            <summary>
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ReportTemplateObject.FormatVer">
            <summary>
            Версия формата
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ReportTemplateObject.Xsd">
            <summary>
            Шаблон
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DataHelpers.SettingsHelper">
            <summary>
             </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.SettingsHelper.GetSettings(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает настройки ЭОД
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.SettingsHelper.GetSettingsByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает настройки ЭОД по нэймспэйсу
            </summary>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.SettingsHelper.GetFileCounterSettings(System.Xml.Linq.XElement)">
            <summary>
            Формирует настройки счетчика файлов
            </summary>
            <param name="element"></param>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DateTimeObject">
            <summary>
            Объект-оболочка для типа DateTime
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.DateTimeObject.Value">
            <summary>
            Значение
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.BoolObject">
            <summary>
            Объект-оболочка для типа bool
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.BoolObject.Value">
            <summary>
            Значение
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DataHelpers.ReportHelper">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ReportHelper.LoadLibrary(Keysystems.Core.Data.CommandArguments)">
            <summary>
            
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.GetFileCounterObject">
            <summary>
            Объект для передачи счетчика файлов из хэлпера
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.GetFileCounterObject.CounterExists">
            <summary>
            Флаг существования счетчика
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.GetFileCounterObject.Counter">
            <summary>
            Значение счетчика
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.GetFileCountersObject">
            <summary>
            Объект для передачи счетчиков файлов из хэлпера
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.GetFileCountersObject.Counters">
            <summary>
            Заничения счетчиков
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.SetFileCounterObject">
            <summary>
            Подтверждение
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.SetFileCounterObject.Confirmation">
            <summary>
            Подтверждение
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.ExportTemplateObject">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ExportTemplateObject.XsdTemplte">
            <summary>
            XSD шаблон
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.TransformTemplateObject">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.TransformTemplateObject.TransformTemplateStream">
            <summary>
            Шаблон трансформации
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DataHelpers.FileCounterHelper">
            <summary>
            Хэлпер для доступа к счетчикам файлов в базе
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.FileCounterHelper.GetCounter(Keysystems.Core.Data.CommandArguments)">
            <summary>
            
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.FileCounterHelper.GetCounters(Keysystems.Core.Data.CommandArguments)">
            <summary>
            
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.FileCounterHelper.SetCounters(Keysystems.Core.Data.CommandArguments)">
            <summary>
            
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.FileCounterHelper.GetProtocolCode(System.String)">
            <summary>
            Заглушка!! Переделать!!
            Должно запрашивать из базы код протокола, соответсвующий документу
            </summary>
            <param name="code"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.ObjectDescription">
            <summary>
            Описание объекта (из редактора объектов)
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ObjectDescription.ID">
            <summary>
            
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ObjectDescription.Code">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DataHelpers.MaskParserHelper">
            <summary>
            Хэлпер, предоставляющий данные для формирования имени файла
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.MaskParserHelper.GetRaschDate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает расчетную дату
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.MaskParserHelper.GetCurrentDate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает текущую дату
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper">
            <summary>
            Хэлпер, для получения шаблона отчета
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetFormatLink(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Вычисляет линк формата в таблице S_EOD_FORMAT
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetTemplate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон отчета, а также сопутствующую информацию
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetLibTemplate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает библиотечный шаблон
            </summary>
            <param name="arguments">[0] - Нэйм-спэйс</param>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetTransformTemplate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон трансформации
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetImportXslTemplate(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон трансформации
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetOptions(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает XML с настройками выгружаемого/загружаемого файла
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetSettingsByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает XML с настройками выгружаемого/загружаемого файла
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetXsdTemplateByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает XSD-схему файла по нэйм-спэйсу
            </summary>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetImportXslTemplateByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон трансформации
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetTransformTemplateByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон трансформации
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.DomainObjects.DataHelpers.ExportTemplateHelper.GetImportScriptByNs(Keysystems.Core.Data.CommandArguments)">
            <summary>
            Возвращает шаблон трансформации
            </summary>
            <param name="arguments"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.SettingsObject">
            <summary>
             Настройки ЭОД
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.SettingsObject.FileNameMask">
            <summary>
            Маска имени файла
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.SettingsObject.GroupingMask">
            <summary>
            Маска группировки документа по файлам
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.SettingsObject.FileCounterSettings">
            <summary>
            Настройки счетчика файлов
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.SettingsObject.Container">
            <summary>
            Настройки контейнера
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.FileCounterSettingsObject">
            <summary>
            Настройки счетчика файлов
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.FileCounterSettingsObject.Period">
            <summary>
            Период отчета
            1 - ежедневный
            7 - еженедельный
            30 - ежемесячный
            другое - ежедневный
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.FileCounterSettingsObject.Base">
            <summary>
            Основание счетчика
            10 - десятичный счетчик
            36 - тридцатишестиричный счетчик
            другое - десятичный
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.FileCounterSettingsObject.BeginOfInterval">
            <summary>
            Нижняя граница рабочего интервала счетчика
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.FileCounterSettingsObject.EndOfInterval">
            <summary>
            Верхняя граница рабочего интервала счетчика
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.ContainerSettings">
            <summary>
            Настройки контейнера
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ContainerSettings.GuidPlace">
            <summary>
            Расположение ГУИДа в файле
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ContainerSettings.Appendixes">
            <summary>
            Список возможных приложений
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.ContainerSettings.ExternValues">
            <summary>
            Список видимых извне полей
            </summary>
        </member>
        <member name="T:Keysystems.EOD.DomainObjects.AppendixSettings">
            <summary>
            Настройки приложения
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.AppendixSettings.Format">
            <summary>
            Название формата файла-приложения
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.AppendixSettings.GuidPlace">
            <summary>
            Расположение GUID в файле-приложении
            </summary>
        </member>
        <member name="F:Keysystems.EOD.DomainObjects.AppendixSettings.Optional">
            <summary>
            Обязательность
            </summary>
        </member>
    </members>
</doc>
